Bug 1441842 (python-yamlordereddictloader) - Review Request: python-yamlordereddictloader - YAML loader for PyYAML that maintains key order
Summary: Review Request: python-yamlordereddictloader - YAML loader for PyYAML that ma...
Keywords:
Status: CLOSED ERRATA
Alias: python-yamlordereddictloader
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1441843
TreeView+ depends on / blocked
 
Reported: 2017-04-12 21:10 UTC by greg.hellings
Modified: 2017-05-02 02:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 18:14:57 UTC
jdieter: fedora-review+


Attachments (Terms of Use)

Description greg.hellings 2017-04-12 21:10:12 UTC
Spec URL: https://fedorapeople.org/~greghellings/python-yamlordereddictloader/python-yamlordereddictloader.spec
SRPM URL: https://fedorapeople.org/~greghellings/python-yamlordereddictloader/python-yamlordereddictloader-0.1.1-1.fc26.src.rpm
Description: This is a loader for PyYAML that maintains the order of the keys
and values in a dictionary as they appear in the input file. This
can be useful for certain applications where named values should
also be maintained in a particular order
Fedora Account System Username: greghellings

Comment 1 Jonathan Dieter 2017-04-14 10:07:38 UTC
I'll take this

Comment 2 Jonathan Dieter 2017-04-19 20:32:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Question


===== MUST items =====

Generic:
[?]: Requires correct, justified where necessary.

     Should this Require: python3-PyYAML and PyYAML (for python2)?

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license. 
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Spec file is legible and written in American English.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License file installed when any subpackage combination is installed.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

     If you just opened a ticket with upstream, asking them to include the text
     of the MIT license in a COPYING or LICENSE file, that should be enough to
     fulfill this requirement

[!]: Latest version is packaged.

     Version 0.2.0 was released two weeks ago

[!]: Relevant documentation should be included

     The source contains README.rst but it's never actually installed as
     documentation

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Package does not include license text files separate from upstream.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-yamlordereddictloader-0.1.1-1.fc27.noarch.rpm
          python3-yamlordereddictloader-0.1.1-1.fc27.noarch.rpm
          python-yamlordereddictloader-0.1.1-1.fc27.src.rpm
python2-yamlordereddictloader.noarch: W: no-documentation
python3-yamlordereddictloader.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-yamlordereddictloader.noarch: W: no-documentation
python3-yamlordereddictloader.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 3 greg.hellings 2017-04-20 04:25:53 UTC
Story of my life - make a package request, end up with a new version released half way through the process.

I've updated to 0.2.0, added the README.rst to the docs list, added PyYAML to the dependency list, and filed a bug with upstream requesting they add the MIT license file to their sources. https://github.com/fmenabe/python-yamlordereddictloader/issues/4

spec: https://fedorapeople.org/~greghellings/python-yamlordereddictloader/python-yamlordereddictloader.spec
SRPM: https://fedorapeople.org/~greghellings/python-yamlordereddictloader/python-yamlordereddictloader-0.2.0-1.fc26.src.rpm

Comment 4 greg.hellings 2017-04-20 15:08:28 UTC
Upstream released 0.2.2 with the added LICENSE.txt file. I've updated the spec file. New SRPM https://fedorapeople.org/~greghellings/python-yamlordereddictloader/python-yamlordereddictloader-0.2.2-1.fc26.src.rpm

Comment 5 Jonathan Dieter 2017-04-20 15:29:29 UTC
Looks great!  I think you can remove the comment before the license tag, now that it's included in the source.  Package approved!

Comment 6 Gwyn Ciesla 2017-04-20 15:39:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-yamlordereddictloader

Comment 7 Fedora Update System 2017-04-20 16:37:34 UTC
python-yamlordereddictloader-0.2.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4406fa4057

Comment 8 Fedora Update System 2017-04-20 16:43:39 UTC
python-yamlordereddictloader-0.2.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-88dcadf3e6

Comment 9 Fedora Update System 2017-04-23 17:20:11 UTC
python-yamlordereddictloader-0.2.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-88dcadf3e6

Comment 10 Fedora Update System 2017-04-23 20:23:19 UTC
python-yamlordereddictloader-0.2.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4406fa4057

Comment 11 Fedora Update System 2017-05-01 18:14:57 UTC
python-yamlordereddictloader-0.2.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-02 02:00:28 UTC
python-yamlordereddictloader-0.2.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.